#ifndef GWT_SECTIONTOEXECUTE_SEEN
#define GWT_SECTIONTOEXECUTE_SEEN

#include <Wt/WContainerWidget>
#include <Wt/WComboBox>
#include <Wt/WLineEdit>

class GWt_sectionToExecute : public Wt::WContainerWidget
{
    public :
    GWt_sectionToExecute(Wt::WComboBox*,Wt::WComboBox*,Wt::WComboBox*);

    /** DEPRECATED */
    GWt_sectionToExecute(Wt::WLineEdit*,Wt::WLineEdit*,Wt::WComboBox*);

    ~GWt_sectionToExecute() {;}

    inline Wt::WString getFirstElementCurrentText() {
        return firstElement->currentText();
    }
    
    inline Wt::WString getLastElementCurrentText() {
        return lastElement->currentText();
    }
    
    inline Wt::WString getFirstElementLineEditCurrentText() {
        return firstElementLineEdit->text();
    }
    
    inline Wt::WString getLastElementLineEditCurrentText() {
        return lastElementLineEdit->text();
    }
    
    inline Wt::WString getSoftwareCurrentText() {
        return software->currentText();
    }
    
    inline Wt::WComboBox * getFirstElement() {
        return firstElement;
    }
    
    inline Wt::WComboBox * getLastElement() {
        return lastElement;
    }
    
    inline Wt::WComboBox * getSoftware() {
        return software;
    }
    void setFirstElementCurrentSelection(Wt::WString);
    void setLastElementCurrentSelection(Wt::WString);
    void setSoftwareElementCurrentSelection(Wt::WString);
    
    void setFirstElementLineEditCurrentText(Wt::WString);
    void setLastElementLineEditCurrentText(Wt::WString);

    private :
    Wt::WComboBox*  firstElement;
    Wt::WComboBox*  lastElement;
    Wt::WComboBox* software;

    /** DEPRECATED */
    Wt::WLineEdit*  firstElementLineEdit;
    Wt::WLineEdit*  lastElementLineEdit;

};

#endif
