//
//  GWt_softwarePanel.h
//  PSPA
//
//  Created by Garnier Laurent on 30/01/13.
//  Copyright (c) 2013 Garnier Laurent. All rights reserved.
//

#ifndef __PSPA__GWt_softwarePanel__
#define __PSPA__GWt_softwarePanel__

#include <iostream>
#include <Wt/WContainerWidget>
#include <Wt/WPushButton>
#include "GWt_sectionToExecute.h"
#include "dataManager.h"

using namespace Wt;
using namespace std;

class PspaApplication;

class GWt_softwarePanel  : public WContainerWidget
{
    public :
    GWt_softwarePanel(dataManager*, PspaApplication*);
    virtual ~GWt_softwarePanel();

    void addSectionToExecuteW();
    void updateSections();
    
    private :
    //    void disableSectionExecute();
    //    void checkSectionSelection();
    bool updateSectionSelection();
    void deleteSectionToExecuteW();
    string getSelection();
    void executer();
    bool areDataCoherent();
    void fillComboWithElements(Wt::WComboBox* cBox);
    void fillComboWithSoftwares(Wt::WComboBox* cBox);
    
    dataManager* dtmanage_;
    WPushButton *exec_go_;
    WContainerWidget* contenuSections_;
    PspaApplication* pspa_;

    std::vector <GWt_sectionToExecute*> sections;
};

#endif /* defined(__PSPA__GWt_softwarePanel__) */
